import fetch from '@/common/utils/fetch.js'

// 微信登录接口，换取openid
export function _login(params) {
  return fetch('/parents/login/wx_login', params, 'post')
}
// 换取用户详细信息
export function _auth(params) {
  return fetch('/parents/login/wx_auth', params, 'post')
}
// 微信绑定用户手机
export function _bindPhone(params) {
  return fetch('/parents/login/wx_bindphone', params, 'post')
}
// 判断绑定手机号
export function _getBindPhone() {
  return fetch('/parents/login/getBindMobile')
}
// 修改用户信息
export function _changeUserInfo(params) {
  return fetch('/parents/init/parent_msg', params, 'post')
}
// 获取用户信息
export function _getUserInfo(params) {
  return fetch('/parents/init/get_parent', params, 'post')
}
// 获取验证码
export function _getCode(params) {
  return fetch('/index/index/wx_get_code', params, 'post')
}
// 修改手机号
export function _changePhone(params) {
  return fetch('/parents/login/wx_change_phone', params, 'post')
}
// 初始化学生
export function _getStudents(params) {
  return fetch('/parents/init/get_students', params, 'post')
}
// 绑定学生
export function _bindStudent(params) {
  return fetch('/parents/init/bind_student_by_id', params, 'post')
}
// 解绑学生
export function _unbindStudent(params) {
  return fetch('/parents/init/unbindStudent', params)
}
// 获取接送人列表
export function _getPickup(params) {
  return fetch('/parents/Pickup/get_pickup', params, 'post')
}
// 增加授权人
export function _addPickup(params) {
  return fetch('/parents/Pickup/pickup_accredit', params, 'post')
}
// 获取老师数据
export function _getTeacher(params) {
  return fetch('/parents/teacher/get_teacher', params, 'post')
}
// 获取教育机构数据
export function _getInstitution(params) {
  return fetch('/parents/institution/get_institution', params, 'post')
}
// 获取系统通知
export function _getNotice(params) {
  return fetch('/parents/notice/get_notice', params, 'post')
}
// 获取通知详情
export function _noticeDetail(params) {
  return fetch('/parents/notice/get_notice_details', params, 'post')
}
